Subject: [bug#65097] [PATCH] gnu: Add tk-img.

From: cage <[email-masked]>
Date: Wed, 6 Sep 2023 19:42:33 +0200

On Wed, Sep 06, 2023 at 12:06:46PM -0400, You wrote:
> Hi!

Hi!

[...]

> > Because I was not able to find out the contribs sources.
>
> (assuming the source is a gzipped tarball)
>
> If you './pre-inst-env guix build --source tk-img', then unpack it to
> /tmp with 'tar xf /gnu/store...-cage.tar.gz -C /tmp', you should then be
> able to look at what it contains, e.g.
>
> find /tmp/cage-x.y.z/ -name '*contrib*'

So they were hiding under the "compat" directory! :D

I have learnt a new (to me) guix switch ("--source"), thanks!

> > Also, for the record, the problem with  tests is not that the Tk (as I
> > erroneously thought)  executable can not  be found but that,  for some
> > reasons, the tcl script seems to fails to resolve Tk as dependency:
> >
> > $ tclsh
> >
> > % package require Tk → raise an error
>
> Oh!  So it seems we have a bigger problem to resolve first :-)
>
> Thanks for your investigations.

My pleasure, I am happy if I  can give a contribution to guix, even if can be only
minimal.

Bye!
C.